%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define api		0
%define gi_major	0.1
%define lib_major	0

%define lib_name	%mklibname %{name} %{api} %{lib_major}
%define gi_name		%mklibname %{name}-gir %{gi_major}
%define develname	%mklibname -d %{name}

Name:		gnome-autoar
Version:	0.2.4
Release:	%mkrel 1
Summary:	Archive library

Group:		System/Libraries
License:	LGPLv2+
URL:		https://git.gnome.org/browse/gnome-autoar
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libarchive)

%description
%{name} is a GObject based library for handling archives.

%package -n %{lib_name}
Summary:	Archive library
Group:		System/Libraries
%description -n %{lib_name}
%{name} is a GObject based library for handling archives.

%package        -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description    -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static --enable-vala=no
%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name '*.la' -delete
rm -rf %buildroot/%{_datadir}/gtk-doc

%files -n %{lib_name}
%{_libdir}/libgnome-autoar-%{api}.so.%{lib_major}*
%{_libdir}/libgnome-autoar-gtk-%{api}.so.%{lib_major}*
%{_libdir}/girepository-1.0/GnomeAutoar-%{gi_major}.typelib
%{_libdir}/girepository-1.0/GnomeAutoarGtk-%{gi_major}.typelib

%files -n %{develname}
%{_includedir}/gnome-autoar-%{api}/
%{_libdir}/pkgconfig/gnome-autoar-%{api}.pc
%{_libdir}/pkgconfig/gnome-autoar-gtk-%{api}.pc
%{_libdir}/libgnome-autoar-%{api}.so
%{_libdir}/libgnome-autoar-gtk-%{api}.so
%{_datadir}/gir-1.0/GnomeAutoar-%{gi_major}.gir
%{_datadir}/gir-1.0/GnomeAutoarGtk-%{gi_major}.gir


%changelog
* Mon May 18 2020 tex - 0.2.4-1pclos2020
- import from mga with adjustments for pclos
